export declare function treeReduce<U, T>(nodes: T[], fn: (previousValue: U, node: T, index: number, parentNode?: T) => U, initialValue: U, childName?: string, parentNode?: T): U;
export declare function treeMap<T>(nodes: T[], fn: (node: T, index: number, parentNode?: T) => T, sortFn?: (a: T, b: T) => number, childName?: string, parentNode?: T): T[];
export declare function treeForEach<T>(nodes: T[], fn: (node: T, index: number, parentNode?: T) => void, childName?: string, parentNode?: T): void;
export declare function treeSome<T>(nodes: T[], fn: (node: T, index: number, parentNode?: T) => boolean, childName?: string, parentNode?: T): boolean;
export declare function treeFind<T>(nodes: T[], fn: (node: T, index: number, parentNode?: T) => unknown, childName?: string, parentNode?: T): T | undefined;
declare const _default: {
    treeReduce: typeof treeReduce;
    treeForEach: typeof treeForEach;
    treeFind: typeof treeFind;
    treeSome: typeof treeSome;
    treeMap: typeof treeMap;
};
export default _default;
